
package com.tmerclub.cloud.multishop.constant;

/**
 * 商家提现申请信息状态
 *
 * @author lth
 */

public enum ShopWithdrawCashStatus {

    /**
     * 未通过
     */
    FAILAUDIT(-1),

    /**
     * 未审核
     */
    WAITAUDIT(0),
    /**
     * 已通过
     */
    SUCCESSAUDIT(1),

    /**
     * 发放成功
     */
    SUCCESS(2),

    /**
     * 发放失败
     */
    FAIL(3);

    private final Integer num;

    public Integer value() {
        return num;
    }

    ShopWithdrawCashStatus(Integer num) {
        this.num = num;
    }

    public static ShopWithdrawCashStatus instance(Integer value) {
        ShopWithdrawCashStatus[] enums = values();
        for (ShopWithdrawCashStatus statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
